data_retriever:
    tasks:
        - dset_ID: 2b568b53-cb55-4cbe-bcb1-759f10ea9af9
          input_dirs: [ "/data/data-uploader/inputs/rdf/" ]

images:
    - local_name: blazegraph
      local_version: 1.0.0
      dafni_name: mwe-blazegraph
      dafni_version: 743ef9f8-1eb7-4100-bdb5-6d7b79a06639
    - local_name: data-uploader-mwe
      local_version: 1.0.0
      dafni_name: data-uploader-mwe
      dafni_version: 65babbf1-e159-492d-9ab9-cd375043c980
    - local_name: data-downloader-mwe
      local_version: 1.0.0
      dafni_name: data-downloader-mwe
      dafni_version: 4c6616a9-e540-49d3-970b-0dd8ae669e20

publisher_opts:
    dset_opts:
        creation_date: "2021-11-01T16:32:34Z"
        desc: "UK Climate Analysis Workflow Outputs"
        # The 'extra' options below were included in the template that was tested on DAFNI,
        # but can almost certainly be removed; leaving them in for now in case excluding them breaks things.
        extra:
            geojson:
                "type": "Feature"
                "geometry":
                    "type": "Polygon"
                    "coordinates": [[[33.9165550000001, 60.8458084904017], [-8.65000722346228, 60.8458084904017], [-8.65000722346228, -34.6904600039999], [33.9165550000001, -34.6904600039999], [33.9165550000001, 60.8458084904017]]]
                "properties": {}
        keywords:  [ "uk", "climate", "analysis" ]
        subject: "Climatology / Meteorology / Atmosphere"
        title: Test CMCL WORKFLOW OUTPUTS
        version_desc: "Initial Dataset version"
    files:
        - task: data-downloader
          path_patterns: [ "outputs/**/*" ]

shared_vol:
    name: shared-workflow-volume
    storage: 128Gi
    subpaths:
        dataretrieval: null
        data-uploader: data-uploader
        data-downloader: data-downloader
        directory-structure-creator: null
        publisher: null
    subdirs: [ 'dataretrieval','data-uploader','data-downloader' ]

workflow:
    label: cmcl-workflow-one
    name: cmcl-workflow-19
